using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
namespace norke
{
    public partial class phb : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                try
                {
                    ph();
                }
                catch
                {
 
                }
            }
        }
        private void ph()
        {
            string sqlgy = "select top 15 pid,pname,phb from Products order by phb desc";
            string sqlqg = "select top 15 qid,qname,phb from dbo.qqproduct order by phb desc";
            string sqlzs = "select top 15 id,zname,phb from zhaoshang order by phb desc";
            string sqldw = "select top 15 hyname,gsname,phb from muser order by phb desc";
            DBConn mydb1 = new DBConn();
            gy.DataSource = mydb1.getDataReader(sqlgy);
            gy.DataBind();
            mydb1.Close();
            DBConn mydb2 = new DBConn();
            qg.DataSource = mydb2.getDataReader(sqlqg);
            qg.DataBind();
            mydb2.Close();
            DBConn mydb3 = new DBConn();
            zs.DataSource = mydb3.getDataReader(sqlzs);
            zs.DataBind();
            mydb3.Close();
            DBConn mydb4 = new DBConn();
            dw.DataSource = mydb4.getDataReader(sqldw);
            dw.DataBind();
            mydb4.Close();
        }
    }
}